<?php
// Translated By Mohammad Yekta
// Www.DatalifeCMS.IR
// Datalife Engine Farsi

if(!defined('DATALIFEENGINE'))die;
	
class photo_cache
{
	function set($file, $data)
	{
		$fp = fopen(ENGINE_DIR.'/photo/cache/system/'.$file.'.php', 'wb+');
		
		if (!$data) $data = 'a:0:{}';
		
		fwrite($fp, serialize($data));
		
		fclose($fp);
		
		@chmod(ENGINE_DIR.'/photo/cache/system/'.$file.'.php', 0666);
	}
	
	function get($file)
	{
		return unserialize(@file_get_contents(ENGINE_DIR.'/photo/cache/system/'.$file.'.php'));
	}
	
	function delete($cache_area = false)
	{
		$fdir = opendir(ENGINE_DIR.'/photo/cache/system/');
		
		while ($file = readdir($fdir))
		{
			if ($file != '.' and $file != '..' and $file != '.htaccess')
			{
				if ($cache_area)
				{
					if (strpos($file, $cache_area) !== false) @unlink(ENGINE_DIR.'/photo/cache/system/'.$file);
				}
				else
				{
					@unlink(ENGINE_DIR.'/photo/cache/system/'.$file);
				}
			}
		}
	}
	
	function create($name, $data, $dir=false, $member_prefix=false)
	{
		if ($dir)
		{
			$dir = $dir.'/';
		}
		
		if ($member_prefix)
		{
			$member_prefix = '_'.$member_prefix;
		}
		
		$filename = ENGINE_DIR."/photo/cache/{$dir}".$name.$member_prefix.".tmp";
		
		$fp = fopen($filename, 'wb+');
		
		fwrite($fp, $data);
		
		fclose($fp);
		
		@chmod($filename, 0666);
	}
	

	function cache($name, $dir=false, $member_prefix=false)
	{
		if ($dir)
		{
			$dir = $dir.'/';
		}
		
		if ($member_prefix)
		{
			$member_prefix = '_'.$member_prefix;
		}
		
		$filename = ENGINE_DIR."/photo/cache/{$dir}".$name.$member_prefix.".tmp";
		
		return @file_get_contents($filename);
	}
	
	function clear($name=false, $dir=false)
	{
		if ($dir)
		{
			$dir = '/'.$dir;
		}
		
		$fdir = opendir(ENGINE_DIR.'/photo/cache'.$dir);
		
		while ($file = readdir($fdir))
		{
			if ($file != '.' and $file != '..' and $file != '.htaccess' and
			    $file != 'system')
			{
				if ($name)
				{
					if (strpos($file, $cache_area) !== false) @unlink(ENGINE_DIR.'/photo/cache/'.$file);
				}
				else
				{
					@unlink(ENGINE_DIR.'/photo/cache/'.$file);
				}
			}
		}
		
		
	}
}
	
?>